Std OrthographicCamera/fr: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "# Il existe plusieurs façons d'appeler la commande: #* Sélectionnez l'option {{MenuCommand|Affichage → 16px Vue orthographique}} dans...")
Line 28: Line 28:
==Utilisation==
==Utilisation==


# Il existe plusieurs façons d'appeler la commande:
# There are several ways to invoke the command:
#* Select the {{MenuCommand|View → [[Image:Std_OrthographicCamera.svg|16px]] Orthographic view}} option from the menu.
#* Sélectionnez l'option {{MenuCommand|Affichage → [[Image:Std_OrthographicCamera.svg|16px]] Vue orthographique}} dans le menu.
#* Use the keyboard shortcut: {{KEY|V}} then {{KEY|O}}.
#* Utilisez le raccourci clavier: {{KEY|V}} puis {{KEY|O}}.


==Notes==
==Notes==

Revision as of 10:25, 14 April 2020

Std Vue orthographique

Emplacement du menu
Affichage → Vue orthographique
Ateliers
Tous
Raccourci par défaut
V O
Introduit dans la version
-
Voir aussi
Std Vue en perspective

Description

La commande Std Vue orthographique fait passer la vision du mode actif vue 3D en mode de vue orthographique. Dans ce mode, les objets qui sont plus éloignés de l'appareil photo n'apparaissent pas plus petits que ceux qui sont plus proches.

Deux cubes de mêmes dimensions en vue orthographique

Utilisation

  1. Il existe plusieurs façons d'appeler la commande:
    • Sélectionnez l'option Affichage → Vue orthographique dans le menu.
    • Utilisez le raccourci clavier: V puis O.

Notes

  • It is also possible to switch to orthographic view mode via the Mini-cube menu of the Navigation Cube.

Preferences

  • The camera type can be changed in the preferences: Edit → Preferences... → Display → 3D View → Camera type. The selected type will be used for all 3D views of all opened documents and also for new documents. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To change the view to orthographic use the setCameraType method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setCameraType('Orthographic')
FreeCADGui.ActiveDocument.ActiveView.getCameraType()